import {DocumentNode} from 'substance'

class IsolatedNote extends DocumentNode {}

IsolatedNote.define({
  'type': 'isolated-note',
  'parentNoteId': {
    type: 'string'
  },
  'index': {
    type: 'number',
    optional: true
  },
  content: 'text'
})

export default IsolatedNote
